format_version: v1.0
type: UniqueComponent
attributes: {id: HarmonyCore}
children:
- type: Symbols
  children:
  - type: File
    attributes: {id: APP0_C}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: APP0_H}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: KeyValueSet
    attributes: {id: COMMON_SYMBOL_CNTR}
    children:
    - type: Attributes
      children:
      - type: KeyValuePairList
        attributes: {id: pairs}
        children:
        - type: Pairs
          children:
          - type: Pair
            attributes: {description: 'FALSE', value: '0', key: ENABLE_DRV_COMMON}
          - type: Pair
            attributes: {description: 'TRUE', value: '1', key: ENABLE_SYS_COMMON}
          - type: Pair
            attributes: {description: 'FALSE', value: '0', key: ENABLE_SYS_MEDIA}
          - type: Pair
            attributes: {description: 'FALSE', value: '0', key: ENABLE_SYS_PORTS}
          - type: Pair
            attributes: {description: 'FALSE', value: '0', key: ENABLE_SYS_DMA}
          - type: Pair
            attributes: {description: 'FALSE', value: '0', key: ENABLE_SYS_RESET}
  - type: File
    attributes: {id: CONFIGURATION_H}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: Boolean
    attributes: {id: ENABLE_APP_FILE}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: HarmonyCore, value: 'true'}
  - type: Boolean
    attributes: {id: ENABLE_OSAL}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: HarmonyCore, value: 'true'}
  - type: Boolean
    attributes: {id: ENABLE_SYS_CACHE}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: HarmonyCore, value: 'false'}
  - type: Boolean
    attributes: {id: ENABLE_SYS_COMMON}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: readOnly}
        children:
        - {type: Value, value: 'true'}
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: HarmonyCore, value: 'true'}
  - type: Boolean
    attributes: {id: ENABLE_SYS_INT}
    children:
    - type: Values
      children:
      - type: Dynamic
        attributes: {id: HarmonyCore, value: 'true'}
  - type: File
    attributes: {id: GEN_APP_TASKS}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: Menu
    attributes: {id: GEN_APP_TASK_MENU}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: visible}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: INT_DEF}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: INT_HEADER}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: INT_MAPPING}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: INT_SOURCE}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: OSAL_DEFINITIONS_H}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: OSAL_H}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: OSAL_IMPL_BASIC_H}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: OSAL_SYSDEF_H}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: SYSTEM_COMMON}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: SYSTEM_MODULE}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: SYSTEM_ROOT}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: SYS_DEBUG_DEF_HEADER}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: SYS_DEBUG_HEADER}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: TASKS_C}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
  - type: File
    attributes: {id: USER_H}
    children:
    - type: Attributes
      children:
      - type: Boolean
        attributes: {id: enabled}
        children:
        - {type: Value, value: 'true'}
- type: ElementPosition
  attributes: {x: '312', y: '21', id: HarmonyCore}
